// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyDdVIT0Cah0QcM1vCEfQfX8kF9yKkojYoA',
    appId: '1:518512400382:web:971cd297cb88e3700052af',
    messagingSenderId: '518512400382',
    projectId: 'descubre-ecuador',
    authDomain: 'descubre-ecuador.firebaseapp.com',
    storageBucket: 'descubre-ecuador.appspot.com',
    measurementId: 'G-EPH8CJVQ42',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyA2futwrRtAgDZTqrN93khyY7lBG2eky4Q',
    appId: '1:518512400382:android:b57d0a29d5585bd60052af',
    messagingSenderId: '518512400382',
    projectId: 'descubre-ecuador',
    storageBucket: 'descubre-ecuador.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBE5tgkSibGeJWNl_KcgeAVSqIHxw73QvE',
    appId: '1:518512400382:ios:753f8c9fe9d6bcc10052af',
    messagingSenderId: '518512400382',
    projectId: 'descubre-ecuador',
    storageBucket: 'descubre-ecuador.appspot.com',
    iosClientId: '518512400382-ik2rgamftpb70v5de71397e1k7tml0gq.apps.googleusercontent.com',
    iosBundleId: 'com.jpmosquera.descubreecuador',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBE5tgkSibGeJWNl_KcgeAVSqIHxw73QvE',
    appId: '1:518512400382:ios:753f8c9fe9d6bcc10052af',
    messagingSenderId: '518512400382',
    projectId: 'descubre-ecuador',
    storageBucket: 'descubre-ecuador.appspot.com',
    iosClientId: '518512400382-ik2rgamftpb70v5de71397e1k7tml0gq.apps.googleusercontent.com',
    iosBundleId: 'com.jpmosquera.descubreecuador',
  );
}
